searchNodes=[{"ref":"EctoFilters.html","title":"EctoFilters","type":"module","doc":"Adds function to transform request params into ecto query expressions."},{"ref":"EctoFilters.html#__using__/1","title":"EctoFilters.__using__/1","type":"macro","doc":"Applies filters to a queryable. Accepts an Ecto.Queryable and a map of with the &quot;q&quot; string key and returns an Ecto.Queryable. Examples iex&gt; apply_filters(Post, %{&quot;q&quot; =&gt; %{&quot;title&quot; =&gt; &quot;Ecto Filters&quot;}}) |&gt; MyRepo.all() [%Post{title: &quot;Ecto Filters&quot;}, ...]"},{"ref":"readme.html","title":"EctoFilters","type":"extras","doc":"EctoFilters Provides a consistent way to transform request params into ecto query expressions."},{"ref":"readme.html#installation","title":"EctoFilters - Installation","type":"extras","doc":"def deps do [ {:ecto_filters, &quot;~&gt; 0.1.1&quot;} ] end"},{"ref":"readme.html#usage","title":"EctoFilters - Usage","type":"extras","doc":"defmodule Posts do use EctoFilters alias MyProject.{Post, Repo} def filter({:comment_body, value}, query) do query |&gt; join(:left, [p], c in assoc(p, :comments), as: :comments) |&gt; where([comments: comments], ilike(comments.body, ^value)) end @doc &quot;&quot;&quot; Returns the list of posts ## Examples iex&gt; list_posts(%{&quot;q&quot; =&gt; %{&quot;comment_body&quot; =&gt; &quot;ecto_filters&quot;}}) [%Post{}, ...] &quot;&quot;&quot; def list_posts(params) do Post |&gt; apply_filters(params) |&gt; Repo.all() end end Documentation can be generated with ExDoc and published on HexDocs. Once published, the docs can be found at https://hexdocs.pm/ecto_filters."}]